<?php


namespace app\model;
use \think\Model;

/**
 * 管理员模型
 * Class Master
 * @package app\model
 */
class Master extends Model {

    /**
     * 加盐小函数
     * @return string|null
     */
    public static function salt(){
        return generateRandom();
    }

    /**
     * 密码
     * @param $userpass
     * @param $salt
     * @return string
     */
    public static function entrySalt($userpass,$salt){
        return md5($userpass.$salt) ;
    }

    public static function getAlipayCookie($key){
        $data = self::findOrEmpty($key);
        return $data->isEmpty() ? false : $data->alipay_cookie;
    }
}
